Bug 177715 - Port: sysutils/procenv Utility to show process environment
Summary: Port: sysutils/procenv Utility to show process environment
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-08 20:00 UTC by jamesodhunt
Modified: 2013-05-24 19:17 UTC (History)
0 users

See Also:


Attachments
file.diff (895 bytes, patch)
2013-04-08 20:00 UTC, jamesodhunt
no flags Details | Diff
procenv-0.21.diff (1.06 KB, patch)
2013-05-09 08:49 UTC, jamesodhunt
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jamesodhunt 2013-04-08 20:00:00 UTC
Patch attached for sysutils/procenv update to version 0.21.

Fix: Patch attached with submission follows:
Comment 1 Pawel Pekala freebsd_committer 2013-05-02 13:14:56 UTC
State Changed
From-To: open->feedback

Does not fetch: 

[corn:ports/sysutils/procenv]# make ===>  License GPLv3 accepted by the 
user ===>   procenv-0.21 depends on file: /usr/local/sbin/pkg - found => 
procenv-0.21.tar.gz doesn't seem to exist in /usr/ports/distfiles/.  => 
Attempting to fetch 
https://launchpad.net/procenv/trunk/0.21/+download/procenv-0.21.tar.gz 
fetch: 
https://launchpad.net/procenv/trunk/0.21/+download/procenv-0.21.tar.gz: 
Moved Temporarily => Attempting to fetch 
ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/procenv-0.21.tar.gz 
fetch: 
ftp://ftp.FreeBSD.org/pub/FreeBSD/ports/distfiles/procenv-0.21.tar.gz: 
File unavailable (e.g., file not found, no access) => Couldn't fetch it 
- please try to retrieve this => port manually into 
/usr/ports/distfiles/ and try again.  *** [do-fetch] Error code 1
Comment 2 jamesodhunt 2013-05-09 08:49:44 UTC
Updated diff attached.

Kind regards,

James.
--
James Hunt
____________________________________
#upstart on freenode
http://upstart.ubuntu.com/cookbook
https://lists.ubuntu.com/mailman/listinfo/upstart-devel
Comment 3 dfilter service freebsd_committer 2013-05-11 22:21:49 UTC
Author: rakuco
Date: Sat May 11 21:21:37 2013
New Revision: 317918
URL: http://svnweb.freebsd.org/changeset/ports/317918

Log:
  Update to 0.21.
  
  PR:		ports/177715
  Submitted by:	James Hunt <james.hunt@ubuntu.com> (maintainer)

Modified:
  head/sysutils/procenv/Makefile
  head/sysutils/procenv/distinfo

Modified: head/sysutils/procenv/Makefile
==============================================================================
--- head/sysutils/procenv/Makefile	Sat May 11 21:19:22 2013	(r317917)
+++ head/sysutils/procenv/Makefile	Sat May 11 21:21:37 2013	(r317918)
@@ -2,9 +2,11 @@
 # $FreeBSD$
 
 PORTNAME=	procenv
-PORTVERSION=	0.20
+PORTVERSION=	0.21
 CATEGORIES=	sysutils
-MASTER_SITES=	http://launchpadlibrarian.net/128556138/
+MASTER_SITES=	https://launchpad.net/procenv/trunk/${PORTVERSION}/+download/ \
+		DEBIAN \
+		http://people.canonical.com/~jhunt/debian/procenv/
 
 MAINTAINER=	james.hunt@ubuntu.com
 COMMENT=	Utility to show process environment
@@ -13,6 +15,7 @@ LICENSE=	GPLv3
 
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
+FETCH_ARGS=	-Fpr
 
 MAN1=		procenv.1
 PLIST_FILES=	bin/procenv

Modified: head/sysutils/procenv/distinfo
==============================================================================
--- head/sysutils/procenv/distinfo	Sat May 11 21:19:22 2013	(r317917)
+++ head/sysutils/procenv/distinfo	Sat May 11 21:21:37 2013	(r317918)
@@ -1,2 +1,2 @@
-SHA256 (procenv-0.20.tar.gz) = 5405daba9373bc410ad227c0a1be1e960fe52f3ea070d55593cec46d11b7fe6a
-SIZE (procenv-0.20.tar.gz) = 210631
+SHA256 (procenv-0.21.tar.gz) = c29e7a0a4a1f882a456cb0c7d27c7ca9991da86d20f975cf131e5fc96f81fcae
+SIZE (procenv-0.21.tar.gz) = 211693
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Pawel Pekala freebsd_committer 2013-05-24 19:17:55 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!